# API Reference
source: https://developer.mastercard.com/mastercard-send-avs/documentation/api-reference/index.md

## Environment Domains {#environment-domains}

In January 2026, we introduced the following RNTZ (Regional Network Transit Zone) domains for this API. All users of this API service must transition to these domains.
* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.move.mastercard.com/send/static
```

```MTF
https://sandbox.api.move.mastercard.com/send
```

```Production
https://api.move.mastercard.com/send
```

* Sandbox
* MTF
* Production

```Sandbox
https://sandbox.api.mastercard.com/send/static
```

```MTF
https://sandbox.api.mastercard.com/send
```

```Production
https://api.mastercard.com/send
```

To form the full endpoint URL, combine the appropriate domain portion (shown above) with the path portion shown by the OpenAPI specification (see below).
Note: Mastercard will end support of the non-RNTZ domains for this API service on 31 March 2027, see the [API release notes](https://static.developer.mastercard.com/content/mastercard-send/release-notes/mastercard-send-release-notes-26.2.pdf#page=4).

## APIs {#apis}

This API supports JSON and XML requests. The expandable section below shows JSON example requests and responses. For XML examples, see [Sample Requests and Responses](https://developer.mastercard.com/mastercard-send-avs/documentation/api-reference/index.md#sample-requests-and-responses). Use [HTTP Headers](https://developer.mastercard.com/mastercard-send-avs/documentation/api-basics/index.md#http-headers) to determine the response format. We recommend you log the Correlation ID (correlation-id) response header value for tracking purposes. When seeking support, providing the relevant Correlation ID may help resolve your inquiry more quickly.

The `partnerId` portion of the URL makes the request unique to a specific Originating Institution or Transaction Initiator:

* Sandbox API: Use any ID of valid length (32 characters), e.g. `ptnr_BEeCrYJHh2BXTXPy_PEtp-8DBOo`
* MTF and Production APIs: Use the Partner Reference ID you receive when you [register for the Mastercard Send program](https://developer.mastercard.com/mastercard-send/documentation/send-eligibility/)


API Specification: `https://static.developer.mastercard.com/content/mastercard-send-avs/swagger/account-verification-api-swagger.yaml`

## Sandbox Testing {#sandbox-testing}

You can make API calls to the Sandbox server from an API tool or your application code, which involves creating a Mastercard Developers project and using the Sandbox keys to generate the required OAuth 1.0a Authorization Header.

The Sandbox server returns simulated responses. For testing guidance, see [Testing](https://developer.mastercard.com/mastercard-send-avs/documentation/testing/index.md).

## Sample Requests and Responses {#sample-requests-and-responses}

This section presents example API messages for each type of API call. For request messages:

* **Format:** JSON / XML
* **HTTP Version:** 1.0 / 1.1
* **HTTP Header Parameters:** see [HTTP Headers](https://developer.mastercard.com/mastercard-send-avs/documentation/api-basics/index.md#http-headers)

Response messages also contain the content-type and content-length header parameters.

### POST Request {#post-request}

**Sandbox URL:** https://sandbox.api.move.mastercard.com/send/static/v1/partners/{partnerId}/accounts/account-verification  
**MTF URL:** https://sandbox.api.move.mastercard.com/send/v1/partners/{partnerId}/accounts/account-verification  
**Production URL:** https://api.move.mastercard.com/send/v1/partners/{partnerId}/accounts/account-verification
* JSON
* XML

```JSON
{
  "account_verification_input": {
    "account_verification_reference": "DEF123456",
    "account_uri": "pan:5204740000003362;exp=2077-08;cvc=123",
    "first_name": "John",
    "last_name": "Jones",
    "address": {
      "line1": "1 Main St",
      "line2": "Apartment 9",
      "city": "O'Fallon",
      "country_subdivision": "MO",
      "postal_code": "63368",
      "country": "USA"
    }
  }
}
```

```XML
<account_verification_input>
    <account_verification_reference>DEF123456</account_verification_reference>
    <account_uri>pan:5204740000003362;exp=2077-08;cvc=123</account_uri>
    <first_name>John</first_name>
    <last_name>Jones</last_name>
    <address>
        <line1>1 Main St</line1>
        <line2>Apartment 9</line2>
        <city>O'Fallon</city>
        <country_subdivision>MO</country_subdivision>
        <postal_code>63368</postal_code>
        <country>USA</country>
    </address>
</account_verification_input>
```

### 200 Response -- All Matched {#200-response--all-matched}

* JSON
* XML

```JSON
{
  "account_verification": {
    "request_id": "153406297",
    "resource_type": "account_verification",
    "address_status": "MATCHED",
    "postal_code_status": "MATCHED",
    "cvc_status": "MATCHED",
    "avs_response_code": "A",
    "avs_response_desc": "Address matches, postal code matches",
    "cvc_resp_code": "M",
    "cvc_resp_desc": "CVC2/CSC match"
  }
}
```

```XML
<account_verification>
    <request_id>153406297</request_id>
    <resource_type>account_verification</resource_type>
    <address_status>MATCHED</address_status>
    <postal_code_status>MATCHED</postal_code_status>
    <cvc_status>MATCHED</cvc_status>
    <avs_response_code>A</avs_response_code>
    <avs_response_desc>Address matches, postal code matches</avs_response_desc>
    <cvc_resp_code>M</cvc_resp_code>
    <cvc_resp_desc>CVC2/CSC match</cvc_resp_desc>
</account_verification>
```

### 200 Response -- Something is Not Matched {#200-response--something-is-not-matched}

* JSON
* XML

```JSON
{
  "account_verification": {
    "request_id": "153406297",
    "resource_type": "account_verification",
    "address_status": "NOT_MATCHED",
    "postal_code_status": "MATCHED",
    "cvc_status": "NOT_MATCHED",
    "avs_response_code": "X",
    "avs_response_desc": "For U.S. addresses, nine-digit postal code and address matches; for addresses outside the U.S., postal code and address match.",
    "cvc_resp_code": "N",
    "cvc_resp_desc": "CVC2/CSC no match"
  }
}
```

```XML
<account_verification>
    <request_id>153406297</request_id>
    <resource_type>account_verification</resource_type>
    <address_status>NOT_MATCHED</address_status>
    <postal_code_status>MATCHED</postal_code_status>
    <cvc_status>NOT_MATCHED</cvc_status>
    <avs_response_code>X</avs_response_code>
    <avs_response_desc>For U.S. addresses, nine-digit postal code and address matches; for addresses outside the U.S., postal code and address match.</avs_response_desc>
    <cvc_resp_code>N</cvc_resp_code>
    <cvc_resp_desc>CVC2/CSC no match</cvc_resp_desc>
</account_verification>
```

For information on status values and error messages, see [Code and Formats](https://developer.mastercard.com/mastercard-send-avs/documentation/code-and-formats/index.md).
